Bug 1574501 - firefox doesn't pick up locale on the first run
Summary: firefox doesn't pick up locale on the first run
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: firefox
Version: 7.5
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Martin Stransky
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1556893
TreeView+ depends on / blocked
 
Reported: 2018-05-03 12:37 UTC by Jiri Prajzner
Modified: 2018-07-27 10:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-11 09:55:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 1459575 None None None 2019-07-18 12:27:43 UTC

Description Jiri Prajzner 2018-05-03 12:37:26 UTC
Description of problem:
firefox doesn't pick up locale on the first run, it needs restart

Version-Release number of selected component (if applicable):
60.0

How reproducible:
always

Steps to Reproduce:
1. set locale via LC_ALL
2. start firefox
3.

Actual results:
firefox starts with new locale

Expected results:
firefox has to be restarted to pick up new locale

Additional info:

Comment 2 Martin Stransky 2018-05-03 17:03:11 UTC
Direct modification of "intl.locale.requested" fixes that - Firefox picks selected language for the first run. We may consider to remove the extension hacks here as WebExtension should not affect browser performance.

Comment 4 Martin Stransky 2018-05-07 07:51:32 UTC
(In reply to Martin Stransky from comment #2)
> Direct modification of "intl.locale.requested" fixes that - Firefox picks
> selected language for the first run. We may consider to remove the extension
> hacks here as WebExtension should not affect browser performance.

I was wrong here, intl.locale.requested solves nothing and we don't have a fix for that right now.

Comment 5 Tomas Pelka 2018-05-07 08:06:17 UTC
Seems it it fixed with firefox-60.0-2.el7_5

Comment 6 Martin Stransky 2018-05-07 08:40:05 UTC
(In reply to Tomas Pelka from comment #5)
> Seems it it fixed with firefox-60.0-2.el7_5

I don't believe so, the bug is just less visible here. I already updated the errata about this bug.

Comment 7 Martin Stransky 2018-05-07 10:51:09 UTC
Filed as https://bugzilla.mozilla.org/show_bug.cgi?id=1459575

Comment 8 Martin Stransky 2018-05-11 09:55:57 UTC
We use a distribution directory for extension which does not have this bug. Closing now as it affects internal builds only.

Comment 9 Tomas Pelka 2018-05-11 10:46:52 UTC
So If I understand it correctly there are two workarounds but we don't wan't to implement and maintain any of them?

I do admit this is definitely not a blocking issue and LANG should be take in account on second and following starts. 

But I bet there will be bug reports coming from customers confused by this race condition/regression.

Please reconsider.

Comment 10 Martin Stransky 2018-05-11 11:11:48 UTC
(In reply to Tomas Pelka from comment #9)
> So If I understand it correctly there are two workarounds but we don't wan't
> to implement and maintain any of them?

No, we will ship langpacks in distribution directory now so we won't have this issue any more.


Note You need to log in before you can comment on or make changes to this bug.